/*
 Theme Name:   Woodmart Child
 Description:  Woodmart Child Theme
 Author:       XTemos
 Author URI:   http://xtemos.com
 Template:     woodmart
 Version:      1.0.1
 Text Domain:  woodmart
*/

:root {
    --wd-nscroll-height: 3px;
    --wd-nscroll-drag-bg: #000000;
}
.wd-nav-scroll {
    margin-top: 40px;
}
a.brand-name-t {
    width: 100%;
    display: block;
    text-align: center;
    margin-top: 10px;
}
.wd-nav[class*="wd-style-"]>li>a {
    color: #000000;
}
.wd-brand-item {
    width: 80px;
    height: 0 !important;
    background: #f6f6f6;
    border-radius: 100%;
    padding: 0 !important;
    padding-bottom: 80px !important;
    overflow: hidden;
    margin: auto;
}
.wd-fbt.wd-design-side {
    display: block!important;
}
.elementor-widget-wd_single_product_fbt_products .products.wd-products
{
    --wd-col-lg: 2 !important;
    --wd-col-md: 2 !important;
    --wd-col-sm: 2 !important;
    --wd-gap-sm: 10px!important;
    --wd-gap-lg: 20px!important;
    margin-bottom: 20px;
}
.elementor-widget-wd_single_product_fbt_products .wd-product.wd-hover-small .product-wrapper {
    gap: 5px!important;
    padding: 5px;
    border: 1px solid #e1e1e1;
    border-radius: 0;
    height: 100%;
}
.elementor-widget-wd_single_product_fbt_products .wd-product {
    height: 100% !important;
}
.single-product .wd-product.wd-hover-small .product-element-top {
    max-width: 30%!important;
}
.single-product .wd-product.wd-hover-small .product-wrapper {
    position: relative;
    flex-direction: row;
    gap: 5px;
    align-items: center;
}
.color-red >a.woodmart-nav-link {
    color: red !important;
}
.wd-dropdown-menu.wd-dropdown.wd-design-full-width {
    box-shadow: none !important;
    border-top: 1px solid #ebebeb;
}
.wd-timer-text {
    font-size: 13px!important;
}
.wd-page-title .title {
    font-size: 34px;
    padding: 10px;
}
.category-grid-item .wd-cat-image {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    height: 100%;
    width: 100%;
    left: 0;
    margin: 0!important;
}
.category-grid-item .wd-cat-image img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}
.wd-cat .wd-entities-title {
    /*width: max-content;*/
    margin: auto;
}
.category-grid-item .wd-cat-count>a {
    font-weight: 400;
}
.wd-product.product-list-item .wd-add-btn>a {
    background-color: #000!important;
}
.cat-design-alt.categories-with-shadow .wd-cat-thumb
{
    height: 100px;
    position: relative;
}
.wd-buttons {
    opacity: 1 !important;
    visibility: visible !important;
    transform: translate3d(0, 0, 0) !important;
    background: #ffffffc9;
    box-shadow: 0 0 4px 0px rgb(0 0 0 / 14%)!important;
}
.thumbs-position-left .wd-gallery-thumb .wd-carousel-item img {
    border: 1px solid #cbcbcb;
}
.wd-brand-item img {
    position: absolute;
    left: 0;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    max-height: unset !important;
}
.wd-nav-arrows[class*="wd-hover"].wd-pos-sep .wd-btn-arrow {
    box-shadow: 0 4px 10px #0000001f;
    border-radius: 100%;
}
.wd-arrow-inner:after {
    font-size: 17px!important;
}
.wd-cat-thumb.category-image-wrapp {
    padding-bottom: 100%;
}
.whb-main-header {
    max-width: 1285px;
    margin: auto;
    top: 15px !important;

}
.whb-row.whb-top-bar {
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    margin-bottom: 4px;
}
.whb-row.whb-general-header {
    border-bottom-left-radius: 6px;
    border-bottom-right-radius: 6px;
}
.whb-sticked .whb-main-header {
    top: 0 !important;
}
.whb-main-header .container {
    width: 100%;
}
/*css slide home*/
.slidehome .swiper-slide-bg {
    border-radius: 0px !important;
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.slidehome .swiper-slide {
    height: 0 !important;
    padding-bottom: 50%;
}
.slidehome .swiper-slide-contents {
    margin: auto;
    width: 97%;
    max-width: var(--wd-container-w) !important;
    padding-inline: 15px;
    margin-inline: auto;
}
.elementor-element .swiper .elementor-swiper-button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: var(--wd-arrow-width, var(--wd-arrow-size, 50px));
    height: var(--wd-arrow-height, var(--wd-arrow-size, 50px));
    line-height: 1;
    color: #333;
    background: #fff;
    box-shadow: 0 0 4px rgba(0, 0, 0, .1);
    border-radius: 50%;
    cursor: pointer;
    transition: all .25s ease;
}
.elementor-element .swiper .elementor-swiper-button svg {
    display: none;
}
.elementor-element .swiper .elementor-swiper-button:after {
    font-size: 20px;
    font-family: "woodmart-font";
}
.elementor-element .swiper .elementor-swiper-button:after {
    content: "\f114";
}
.elementor-element .swiper .elementor-swiper-button.elementor-swiper-button-next:after {
    content: "\f113";
}
.slidehome .swiper-pagination
{
    background-color: #fff;
    width: max-content;
    margin: auto;
    right: 0;
    border-radius: 15px;
    box-shadow: 0 0 4px rgba(0, 0, 0, .1);
    padding: 0 5px;
    margin-bottom: 10px;
}
.slidehome .elementor-button.elementor-slide-button {
    color: initial !important;
}
/*css form footer*/
.form-field.row-in p {
    width: 100%;
    display: flex;
    gap: 20px;
}
.form-field.row-in p br {
    display: none;
}
.form-field.row-in input.wpcf7-form-control.wpcf7-email {
    background-color: #e5e5e5;
    border: #e5e5e5;
    border-radius: 10rem;
    padding: 16px;
    width: 100%;
    transition: .3s all;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    vertical-align: middle;
}
.form-field.row-in input.wpcf7-form-control.wpcf7-email:focus,
.form-field.row-in input.wpcf7-form-control.wpcf7-email:focus-visible {
    outline: 0;
    box-shadow: 0 0 0 .1rem #000;
    background-color: #fff;
    color: #493c3c;
}
div.wpcf7 input[type="submit"] {
    background: none !important;
}
div.wpcf7 span.btn-subm:hover input[type="submit"] {
    color: #000 !important;
}
.btn-subm:before {
    position: absolute;
    content: "";
    width: 0;
    background-color: #fff;
    transition: width .4s ease;
    z-index: 0;
    border-radius: inherit;
    left: 0.3px;
    right: 0.3px;
    top: 1px;
    bottom: 1px;
}
span.btn-subm {
    position: relative;
    background-color: #000!important;
    border-radius: 35px;
    display: inline-block;
}
.btn-subm:hover:before {
    width: calc(100% - 1px);
}
.whb-top-bar .whb-col-center
{
    justify-content: center;
}
.whb-top-bar .wd-tools-element .wd-tools-text, .whb-top-bar .wd-nav.wd-nav-secondary > li > a {
    /*font-family: "Work Sans", Arial, Helvetica, sans-serif;*/
    font-weight: 400!important;
    font-size: 15px!important;
    color: #000;
}
.whb-top-bar .wd-info-box .info-box-title {
    font-size: 14px;
}
.whb-top-bar .wd-nav>li:is(.wd-has-children,.menu-item-has-children)>a:after {
    color: #494949 !important;
    font-size: 9px;
}
.whb-top-bar .wd-sub-menu li>a {
    color: #515151;
}
.whb-top-bar .wd-sub-menu li>a:hover {
    color: var(--sub-menu-color-hover);
}
.whb-sticked .whb-main-header {
    top: 0 !important;
    max-width: unset;
}
.whb-sticked .whb-row.whb-general-header{
    border-radius: 0;
}
.whb-top-bar .wd-nav[class*="wd-style-"]>li>a {
    font-weight: 400!important;
}
.whb-top-bar .wd-tools-element .wd-tools-icon {
    color: #000;
}
.whb-top-bar .wd-tools-element a:hover .wd-tools-icon {
    color: #fff;
}
.whb-top-bar .wd-nav[class*="wd-style-"]>li>a:hover {
    background: none;
    color: #fff;
}
.whb-top-bar .wd-tools-element a:hover .wd-tools-text, .whb-top-bar .wd-nav.wd-nav-secondary > li > a:hover {
    color: #fff;
}
.admin-bar .whb-sticky-shadow.whb-sticked .whb-main-header {
    top: 32px !important;
}
span.btn-subm {
    position: absolute;
    right: 0px;
}
span.btn-subm svg.e-font-icon-svg.e-fab-telegram-plane
{
    width: 21px;
    fill: #fff;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}
span.btn-subm:hover svg.e-font-icon-svg.e-fab-telegram-plane
{
    fill: #000;
}
span.btn-subm input {
    font-size: 0;
    width: 42px;
    display: inline-block;
}
span.btn-subm .wpcf7-spinner {
    position: absolute;
    right: 100px;
}




@media (max-width: 767px) {
    .elementor-hidden-phone {
        display: none !important;
    }

}

@media (min-width: 768px) and (max-width: 1024px) {
    .elementor-hidden-tablet {
        display: none !important;
    }
}

@media (min-width: 1025px) {
    .elementor-hidden-desktop{
        display: none !important;
    }
}
.wd-content-layout {
    padding-block: 0!important;
}
.custom-woo-title .wd-page-title
{
    padding: 0;
}
.custom-woo-title .wd-page-title .container, .custom-woo-title .wd-page-title .title {
    padding: 0;
}
.wd-single-brands.wd-style-shadow a {
    border-radius: 100%!important;
    overflow: hidden;
    padding: 3px!important;
}
.wd-single-brands .wd-product-brands img {
    width: 75px;
    height: 75px;
    border-radius: 100%;
    object-fit: contain;
}
.wd-single-price .price {
    display: flex;
    /*flex-direction: row-reverse;*/
    align-items: center;
    gap: 5px;
}
.wd-single-price .price del {
    order: 2;
}
p.stock.wd-style-bordered span {
    padding: 0;
    border: none;
}
p.stock.wd-style-bordered span:before {
    width: 11px;
    height: 11px;
}
.wd-product .product-image-link {
    height: 0;
    padding-bottom: 114.3%;
}
.wd-page-title .title {
    padding: 0;
}
.woocommerce-checkout.woocommerce-page.woocommerce-order-received .wd-page-title .container {
    justify-content: center;
    align-items: center;
}
.woocommerce-checkout.woocommerce-page.woocommerce-order-received .wd-page-title {
    margin-bottom: 30px;
}
section.woocommerce-customer-details {
    margin-bottom: 30px;
}
.wd-back-btn1>a:before {
    content: "\f121";
    font-family: "woodmart-font";
}
.wd-back-btn1.wd-style-icon>a {
    height: 40px;
}
.wd-back-btn1.wd-style-icon {
    --wd-action-icon-size: 24px;
}
.woocommerce-my-account-wrapper {
    margin-top: 30px;
    margin-bottom: 30px;
}
body:not(.home) main#main-content {
    margin-top: 30px;
    margin-bottom: 30px;
}
.whb-general-header .wd-nav.wd-style-bg>li>a:before {
    background-color: rgb(239 238 235);
    opacity: 1;
}
.whb-general-header img.wd-nav-img {
    z-index: 1;
}
.table-scroll-wrapper {
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
}
.btn-allproduct a.woodmart-nav-link span {
    font-size: 17px;
    margin-bottom: -1px;
    margin-left: 5px;
}
.btn-allproduct > a.woodmart-nav-link:after {
    display: none;
}
.table-scroll-wrapper table {
    width: 100%;
    min-width: max-content;
}
.title-checkout
{
    margin-bottom: 20px;
    padding: 15px;
    background-color: rgba(16, 16, 16, 0.05);
    border-radius: 10px !important;
    display: flex;
    align-items: center;
    gap: 15px;
}
.title-checkout .icon-num
{
    background-color: #f59a57;
    border-radius: 20px;
    line-height: 26px;
    font-size: 16px;
    color: #ffffff;
    display: inline-block;
    width: 35px;
    height: 35px;
    text-align: center;
    line-height: 35px;
    font-weight: 600;
}
.title-checkout h3 {
    margin: 0 !important;
    line-height: 34px ! IMPORTANT;
    font-size: 24px !important;
}
.woocommerce-checkout-review-order-table :is(th,td) {
    border: none;
}
.e-checkout__order_review {
    border: none !important;
    padding: 0 !important;
}
.woocommerce-checkout-review-order-table tr
{
    border-bottom: 1px solid var(--brdcolor-gray-300)!important;
}
.elementor-widget-woocommerce-checkout-page .woocommerce .shop_table thead tr th
{
    padding: 15px 10px;
    color: var(--wd-title-color);
    text-transform: uppercase;
    font-size: 16px;
    font-weight: var(--wd-title-font-weight);
    font-style: var(--wd-title-font-style);
    font-family: var(--wd-title-font);
    vertical-align: middle;
}
.elementor-widget-woocommerce-checkout-page .woocommerce .shop_table tr {
    padding-bottom: 0!important;
    padding-top: 0!important;
}
.elementor-widget-woocommerce-checkout-page .shop_table tr :is(td,th):first-child {
    padding-inline-start: 0!important;
}
.woocommerce-checkout-review-order-table thead tr
{
    border-width: 2px!important;
}
.elementor-widget-woocommerce-checkout-page .woocommerce .woocommerce-checkout-review-order-table tfoot th,
.elementor-widget-woocommerce-checkout-page .woocommerce .woocommerce-checkout-review-order-table thead th{
    color: var(--wd-title-color)!important;
    font-size: 15px !important;
}
.woocommerce-checkout-review-order-table tfoot tr:last-child {
    border: none!important;
}
.wd-shipping-progress-bar {
    margin-bottom: 20px;
}
.e-checkout__container {
    margin-top: 40px;
}
.elementor-widget-woocommerce-checkout-page .select2-container--default .select2-selection--single {
    background-color: #ffffff;
    border: var(--wd-form-brd-width) solid var(--wd-form-brd-color);
    border-radius: 7px;
}
.wd-nav-main>li>a, .wd-nav-secondary>li>a {
    text-transform: unset!important;
}
.wd-dropdown-menu.wd-design-default {
    padding: var(--wd-dropdown-padding, 12px 20px);
    --wd-dropdown-width: max-content;
    max-width: 300px;
}
.wd-dropdown-menu .wd-sub-menu li>a {
    color: #000;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.wd-dropdown-menu.wd-design-default .menu-item-has-children>a:after {
    margin-left: 10px;
}
.wd-nav[class*="wd-style-"]>li:is(.wd-has-children,.menu-item-has-children)>a:after,
.wd-dropdown-menu.wd-design-default .menu-item-has-children>a:after {
    color: rgb(0 0 0);
    font-size: 10px;
}
.wd-nav-main li a {
    background: linear-gradient(to right, #000, #000) 0 1px / 0 1px no-repeat;
    background-position-x: right;
    background-position-y: 90%;
    transition: background-size .5s cubic-bezier(.3, 1, .3, 1), color .5s cubic-bezier(.3, 1, .3, 1);
}
.wd-nav-main  .wd-sub-menu li.current-product_cat-ancestor > a, .wd-nav-main  .wd-sub-menu li.current-menu-item > a,
.wd-nav-main  .wd-sub-menu  li  a:hover{
    color: blue;
}
.wd-nav-main  > li >  a:hover, .wd-nav-main  > li.current-product_cat-ancestor > a{
    background-position-x: left;
    background-size: 100% 1px;
    background-position-y: 90%;
}
html .wd-nav-mobile > li > a {
    text-transform: unset!important;
}
body.tax-product_cat .wd-breadcrumbs span.wd-last {
    display: none;
}
body.tax-product_cat .wd-breadcrumbs span.wd-delimiter:nth-last-child(2) {
    display: none;
}
.wd-back-btn1.wd-style-icon>a {
    width: max-content;
    margin-right: 15px;
}
.wd-page-title .title {
    font-size: 32px;
}
.wd-cat .wd-entities-title {
    text-transform: none!important;
    font-size: 15px !important;
    font-weight: 600 !important;
}
.wc-svea-checkout-page-inner {
    display: flex;
    justify-content: space-between;
    gap: 40px;
}
.wc-svea-checkout-page-inner .order-review-wrapper {
    width: 100%;
}
.wc-svea-checkout-page-inner .e-checkout__container {
    width: 100%;
    max-width: 615px;
    display: block !important;
    margin: 0;
}
.woocommerce-checkout .woocommerce.entry-content .woocommerce-message {
    width: 1225px;
    margin: auto;
    margin-top: 18px;
    margin-bottom: 18px;
    max-width: 100%;
}
.wd-brands .wd-carousel-wrap.not-full {
    /*    display: flex !important;
        justify-content: center !important;
        transform: none !important;*/
}
.elementor-widget-woocommerce-checkout-page a.remove,.elementor-widget-woocommerce-checkout-page a.woocommerce-remove-coupon
{
    color: #c40000;
}
.pswp--zoom-allowed .pswp__img {
    background: #ffffff;
}
.popup.wd-products .product-element-top {
    width: 25%;
}
.popup.wd-products .product-list-content {
    width: 75%;
}
.popup.wd-products .product-wrapper {
    flex-direction: row;
    align-items: center;
    gap: 15px;
    text-align: left;
    border: 1px solid #e8e8e8;
    background: unset !important;
}
.xoo-cp-container {
    max-width: 64rem;
    width: 90vw;
}
.popup.wd-products .product-image-link
{
    position: relative;
    display: block;
    padding-bottom: 0;
    height: auto;
}
.popup.wd-products .wd-product.product-list-item .wd-add-btn>a {
    border-radius: 25px;
    color: #fff;
    margin-top: 10px;
}
.popup.wd-products .wd-buttons.wd-pos-r-t {
    display: none;
}
a.xoo-cp-close.xcp-btn {
    display: none;
}
.product-addedcart {
    display: flex;
    align-items: center;
    border-bottom: 1px solid #e8e8e8;
    margin-bottom: 20px;
    padding-bottom: 10px;
}
.product-addedcart img.attachment-woocommerce_thumbnail {
    width: 48px;
    margin-right: 30px;
}
.xoo-cp-modal.xoo-cp-active {
    padding-top: 50px;
    padding-bottom: 50px;
}
.product-addedcart p.text-base {
    margin: 0;
    margin-right: 10px;
}
.xcp-btn {
    background-color: #000000;
    border-radius: 29px;
    margin-top: 15px;
}
.xcp-btn:hover {
    background: #fff;
    color: #000;
}
.popup.wd-products .wd-product.product-list-item .wd-add-btn>a.loading:after {
    opacity: 1;
    transition: opacity .25s ease;
    --wd-anim-state: running;
}
.popup.wd-products .wd-product.product-list-item .wd-add-btn>a.loading span {
    opacity: 0;
}
.popup.wd-products .wd-product.product-list-item .wd-add-btn>a.added:before {
    content: "\f107";
    font-size: var(--wd-action-icon-size, 1.1em);
    transition: opacity .15s ease;
    font-family: "woodmart-font";
}
.popup.wd-products .wd-product.product-list-item .wd-add-btn>a:after {
    position: absolute;
    top: calc(50% - 9px);
    inset-inline-start: calc(50% - 9px);
    opacity: 0;
    z-index: 2;
    transition: opacity 0s ease;
    content: "";
    display: inline-block;
    width: 18px;
    height: 18px;
    border: 1px solid rgba(0, 0, 0, 0);
    border-left-color: currentColor;
    border-radius: 50%;
    vertical-align: middle;
    animation: wd-rotate 450ms infinite linear var(--wd-anim-state, paused);

}
.popup.wd-products .product-list-content .wd-entities-title
{
    margin-bottom: 5px;
}
.popup.wd-products .wd-product-cats {
    margin-bottom: 10px;
    display: block;
}
.popup.wd-products .woocommerce-product-details__short-description {
    margin-top: 10px!important;
}

/*add date 17-07-2025*/
.widget_product_categories .product-categories li a:before
{
    content: "\f107";
    font-family: "woodmart-font";
    display: inline-flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    width: 1.4em;
    height: 1.4em;
    margin-inline-end: 8px;
    border: 2px solid var(--brdcolor-gray-300);
    vertical-align: middle;
    font-size: 10px;
    transition: all .2s ease;
    color: transparent;
}
.widget_product_categories .product-categories li a:hover:before {
    border-color: var(--wd-primary-color);
}
.widget_product_categories .product-categories li.current-cat > a:before {
    background-color: var(--wd-primary-color);
    border-color: var(--wd-primary-color);
    color: #fff;
}

/*end*/
.icon-about span.elementor-icon {
    width: 70px;
    display: flex;
    height: 70px;
    align-items: center;
    justify-content: center;
    border: 2px dashed;
    border-radius: 100%;
}
.btn-style1 a.elementor-button {
    position: relative;
    display: inline-block;
    vertical-align: middle;
    -webkit-appearance: none;
    appearance: none;
    outline: none !important;
    background-color: #62c14e;
    color: #fff;
    font-size: 16px;
    font-weight: 500;
    padding: 15px 50px 15px;
    border-radius: 6px;
    overflow: hidden;
    transition: all 0.5s linear;
    z-index: 1;
}
.btn-style1 a.elementor-button:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background-color: #192919;
    border-radius: 6px;
    transform: scaleY(0);
    transform-origin: center;
    transform-style: preserve-3d;
    transition: transform 0.7s cubic-bezier(0.52, 1.64, 0.37, 0.66);
    transform-origin: bottom center;
    z-index: -1;
}
.btn-style1 a.elementor-button:hover:before {
    transform: scaleY(1);
    transform-origin: top center;
}
fieldset.hidden-fields-container {
    display: none;
}
.banner-mask .wrapper-content-banner {
    background-color: rgba(0, 0, 0, 0.4);
}
.wd-product:not(.wd-hover-small) :is(.product-image-link,.hover-img) :is(picture,img) {
    object-fit: cover;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: #f2f2f2;
}
.wd-gallery-images .wd-carousel-item.wd-carousel-item figure {
    /*height: 0;*/
    min-height: 700px;
    overflow: hidden;
    position: relative;
    /*    padding-bottom: 100%;
        max-width: 90%;*/
    margin: auto;
}
.wd-gallery-images .wd-carousel-item.wd-carousel-item figure a {
    display: block;
    /*    height: 100%;
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        align-items: center;
        justify-content: center;*/
}
.wd-gallery-images .wd-carousel-item.wd-carousel-item figure img {
    max-height: 700px;
    object-fit: contain;
}
.thumbs-position-left .wd-gallery-thumb .wd-carousel-item img {
    object-fit: contain !important;
}
.thumbs-position-left .wd-gallery-thumb .wd-carousel-item img {
    border: 1px solid #cbcbcb;
}
.wd-action-btn.wd-style-text>a {
    font-weight: 400 !important;
    font-size: 15px;
}
body  div.wpcf7 input[type="submit"].btn-color-black {
    background: #000 !important;
}
.amount {
    color: #000;
    font-weight: 600;
}
.cart-info span.quantity {
    color: var(--wd-text-color)!important;
}
.cart-info .wd-entities-title {
    font-size: 15px !important;
}
.woocommerce-mini-cart>li a.cart-item-image img {
    max-height: 90px;
    object-fit: contain;
    border: 1px solid #e1e1e1;
}
td.product-thumbnail img {
    max-height: 100px;
    object-fit: contain;
}
.wd-header-overlap .wd-page-title:after {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: #0000007a;
    top: 0;
}
.wd-header-overlap .wd-page-title .container {
    z-index: 1;
    position: relative;
}
.woocommerce-form-coupon-toggle {
    text-align: center;
}
.woocommerce-form-coupon {
    margin: auto;
}
textarea#order_comments {
    height: 100px;
    min-height: unset;
    border-radius: 0;
}
p#order_comments_field label {
    display: none;
}
#kco-extra-checkout-fields p#billing_orgnr_field {
    display: none!important;
}
.wd-checkout-prod-img img {
    max-height: 85px;
    object-fit: contain;
}
div#klarna-checkout-container {
    border: 1px solid #000;
    border-radius: 8px;
}
.elementor-widget-wd_single_product_content hr {
    margin-bottom: 14px;
}
.elementor-widget-wd_single_product_content h2, .elementor-widget-wd_single_product_content h3
.elementor-widget-wd_single_product_content h4{
    font-size: 18px;
}
.elementor-widget-wd_single_product_short_description h3, .elementor-widget-wd_single_product_short_description h2, .elementor-widget-wd_single_product_short_description h4 {
    font-size: 17px;
}
.wd-products-shop-view.products-view-grid {
    display: none;
}
.widget .product-categories li a {
    color: #000;
}
.wd-cats-toggle {
    color: #3d3d3d!important;
        inset-inline-end: 0!important;
}
.categories-accordion-on .widget .product-categories:has(.cat-item ul) {
    padding-inline-end: 0!important;
        display: flex;
    flex-wrap: wrap;
}
.categories-accordion-on .widget .product-categories li {
    order: 1;
        width: 100%;
}
.categories-accordion-on .widget .product-categories > li.current-cat,
.categories-accordion-on .widget .product-categories > li.current-cat-parent
{
    order: 0;
}
.custom-sub-cat .wd-nav-product-cat:not(.wd-nav-mobile)>li>a {
    border: 1px solid #e4e4e4;
    margin-bottom: 10px;
        padding: 7px 10px;
    border-radius: 10px;
}
.woocommerce-shop .custom-sub-cat {
    display: none;
}
.custom-sub-cat .wd-nav[class*="wd-style-underline"] .nav-link-text:after {
    display: none!important;
}
.custom-sub-cat .wd-nav-product-cat.has-product-count {
    --nav-gap: 10px;
}
.custom-sub-cat .wd-nav-accordion-mb-on .wd-btn-show-cat {
    width: 100%;
}
.custom-sub-cat .wd-nav-accordion-mb-on .wd-btn-show-cat>a {
    width: 100%;
    justify-content: space-between;
}
.custom-sub-cat .wd-nav-accordion-mb-on .wd-btn-show-cat.wd-style-text>a:before {
    padding: 9px;
}
h3.product-subcat-title {
    margin-top: 20px;
    font-size: 18px;
}
/*06-12-2024*/
.ywgc_have_code .woocommerce-info {
    display: block !important;
    margin-bottom: 0;
}
.ywgc_have_code .woocommerce-info::before {
    position: unset;
}
.ywgc_enter_code {
    padding: 0;
}
.ywgc_enter_code {
    padding: 10px;
    margin: 0;
    position: relative;
    background-color: transparent;
    color: #515151;
    border-top: 3px solid #f58324;
    list-style: none outside;
    width: auto;
    word-wrap: break-word;
    margin-top: 7px;
    width: 40%;
    border-radius: 5px;
    border: 1px solid #d2d2d2;
    border-top-right-radius: 0;
    border-top-left-radius: 0;
}
.ywgc_apply_gift_card_button {
    background-color: #f58324 !important;
}
button#place_order {
    border-style: solid !important;
}
.ywgc_enter_code input#giftcard_code {
    border: 1px solid #c1c1c1;
    padding: 10px;
    height: 45px;
    width: 100%;
}
.ywgc_enter_code button.ywgc_apply_gift_card_button {
    border-radius: 0;
    height: 45px;
    padding: 10px !important;
    width: 100%;
    font-size: 14px !important;
    font-weight: 400 !important;
    text-transform: uppercase!important;
}
.ywgc_enter_code .form-row.form-row-first {
    width: 70%;
}
.ywgc_enter_code .form-row.form-row-last {
    width: 30%;
}
.gift_card_template_button .quantity {
    display: none;
}
button.gift_card_add_to_cart_button {
    text-transform: uppercase !important;
    max-width: 250px;
    padding: 12px 10px !important;
    width: 100%;
    border-radius: 1px !important;
    font-weight: 400 !important;
}
.gift-card-content-editor.step-content textarea, input#ywgc-sender-name, input#ywgc-recipient-email, input#ywgc-recipient-name,
.ywgc-amount_giftcard input#odetail_field_amount_giftcard, .ywgc-giftcard_qty input#giftcard_qty{
    display: block;
    float: none;
    width: 100%;
    box-sizing: border-box;
    max-width: 100% !important;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    padding: 5px 10px;
    border: 1px solid #dddada;
    line-height: 30px;
}
.woocommerce div.product.product-type-gift-card {
    width: 50%;
    max-width: 100%;
}
.gift-card-content-editor.step-content h5 {
    display: none;
}
.ywgc-sender-name {
    display: none;
}
.gift-cards-list {
    display: none;
}
.gift-card p.price {
    display: none;
}
.ywgc-amount_giftcard label, .ywgc-giftcard_qty label {
    font-weight: normal;
    display: block;
    margin-bottom: 10px;
}
.ywgc-amount_giftcard {
    margin-bottom: 15px;
}
.ywgc-single-recipient .ywgc-recipient-name {
    margin-bottom: 0;
}
input#odetail_field_amount_giftcard.input-error {
    box-shadow: 0 0 5px red !important;
}
.ywgc-giftcard-fields input, .ywgc-giftcard-fields textarea {
    border-color: #cbcbcb !important;
    display: block;
    width: 100%;
    padding: 5px 10px !important;
    color: #000 !important;
    font-size: 14px !important;
    border-radius: 2px !important;
}
.ywgc-giftcard-fields label {
    font-weight: 400;
    font-size: 14px;
    color: #606060;
}
/*end*/
.custom-sub-cat .wd-cat-inner.wrapp-category {
    display: flex;
}
.custom-sub-cat .wd-cat-inner.wrapp-category  .wd-cat-content {
    width: 70%;
    text-align: left;
    padding-top: 0;
}
.custom-sub-cat .wd-cat-inner.wrapp-category  .wd-cat-thumb {
    width: 30%;
    height: 0 !important;
    padding-bottom: 30%;
}
.custom-sub-cat .wd-cat-inner.wrapp-category .wd-entities-title {
    font-weight: 500 !important;
}
.custom-sub-cat .wd-cat-inner.wrapp-category .wd-cat-count>a {
    font-size: 14px;
}





@media (max-width: 1400px) and (min-width: 1024px) {
    .whb-header-bottom .wd-nav.wd-gap-m {
        --nav-gap: 15px;
    }
}
@media (max-width: 1024px) {
    .wd-el-breadcrumbs.wd-nowrap-md [class*="-breadcrumb"] {
        flex-wrap: wrap!important;
    }
}
@media (min-width: 1300px) {
    .container, .container-fluid {
        width: calc(100vw - 70px);
    }
    .elementor-location-footer>.e-con.e-flex>.e-con-inner
    {
        width: calc(100vw - 64px);
        max-width: var(--wd-container-w);
        padding-inline: 15px;
    }
}
@media (max-width: 1024px) {
    .wd-header-overlap .wd-page-title {
        padding-top: 30% !important;
    }
}
@media (max-width: 992px){
    .wc-svea-checkout-page-inner{
        display: block;
    }
    .whb-row.whb-general-header{
        border-radius: 6px;
    }
    .whb-main-header {
        left: 15px !important;
        right: 15px !important;
    }
    .whb-sticked .whb-main-header {
        left: 0 !important;
        right: 0 !important;
    }
    .slidehome .swiper-slide {
        padding-bottom: 70%;
    }
}


@media (max-width: 768px) {
    .wd-gallery-images .wd-carousel-item.wd-carousel-item figure {
        min-height: unset;
    }
    .wd-gallery-images .wd-carousel-item.wd-carousel-item figure img {
        max-height: 300px;
    }
    .thumbs-position-left .wd-gallery-thumb .wd-carousel-item img {
        height: 100px;
        object-fit: cover !important;
    }
    .btn-style1 a.elementor-button {
        padding: 11px 30px 11px;
    }
    .elementor-element .swiper .elementor-swiper-button {
        bottom: 1px;
        top: unset;
        transform: unset;
        left: unset;
        right: 1px;
        border-radius: 0;
    }
    .elementor-element .swiper .elementor-swiper-button.elementor-swiper-button-prev {
        right: 38px;
    }
    a.xoo-cp-btn-ch.xcp-btn {
        margin-top: 20px;
    }
    .popup.wd-products .product-wrapper {
        justify-content: center;
        flex-wrap: wrap;
    }
    .popup.wd-products .product-list-content {
        width: 100%;
        text-align: center;
    }
    .popup.wd-products  .woocommerce-product-details__short-description {
        display: none;
    }
    .single-product .wd-product.wd-hover-small .product-element-top {
        max-width: 40%!important;
    }
    .wd-single-brands .wd-product-brands img
    {
        width: 65px!important;
        height: 65px!important;
        max-width: 65px!important;
    }
    .slidehome .swiper-slide {
        padding-bottom: 120%;
    }
    .wd-cat .wd-entities-title {
        width: 100%;
        margin-top: 7px;
    }
    .wd-page-title .title {
        font-size: 25px!important;
    }
    .wd-cat-content {
        padding: 0 !important;
        display: flex            ;
        flex-wrap: wrap;
        justify-content: center;
    }
    .cat-design-alt.categories-with-shadow .wd-cat-thumb {
        height: 80px;
    }
    .elementor-element .swiper .elementor-swiper-button
    {
        width: var(--wd-arrow-width, var(--wd-arrow-size, 35px));
        height: var(--wd-arrow-height, var(--wd-arrow-size, 35px));
    }
    .elementor-element .swiper .elementor-swiper-button:after {
        font-size: 16px;
    }
    .slidehome .swiper-pagination {
        display: none;
    }
    .custom-itembox .elementor-widget-icon-box.elementor-mobile-position-top .elementor-icon-box-wrapper
    {
        flex-direction: row;
        text-align: start;
        display: flex;
        align-items: flex-start;
    }
    .custom-itembox .elementor-widget-icon-box.elementor-mobile-position-top .elementor-icon-box-wrapper .elementor-icon-box-icon {
        margin-right: var(--icon-box-icon-margin, 15px);
    }
}


